Bug 587536 - [abrt] crash in exaile-0.3.1.1-1.fc12: collection.py:333:drag_get_data:TypeError: 'NoneType' object is not iterable
Summary: [abrt] crash in exaile-0.3.1.1-1.fc12: collection.py:333:drag_get_data:TypeEr...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: exaile
Version: 12
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Deji Akingunola
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:728e755f
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-30 08:08 UTC by alextazy0
Modified: 2010-12-03 15:16 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-03 15:16:11 UTC
Type: ---


Attachments (Terms of Use)

Description alextazy0 2010-04-30 08:08:20 UTC
abrt 1.0.9 detected a crash.

architecture: i686
cmdline: python /usr/lib/python2.6/site-packages/exaile/exaile.py --datadir=/usr/share/exaile/data --startgui
component: exaile
executable: /usr/lib/python2.6/site-packages/exaile/exaile.py
kernel: 2.6.32.11-99.fc12.i686
package: exaile-0.3.1.1-1.fc12
reason: collection.py:333:drag_get_data:TypeError: 'NoneType' object is not iterable
release: Fedora release 12 (Constantine)

backtrace
-----
collection.py:333:drag_get_data:TypeError: 'NoneType' object is not iterable

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/exaile/xlgui/panel/collection.py", line 333, in drag_get_data
    for track in trs:
TypeError: 'NoneType' object is not iterable

Local variables in innermost frame:
selection: <GtkSelectionData at 0xbf8ad4a0>
self: <CollectionPanel object at 0x9443964 (xlgui+panel+collection+CollectionPanel at 0x911deb0)>
target_id: 0L
etime: 10560133L
context: <gtk.gdk.DragContext object at 0x944502c (GdkDragContext at 0xb99e268)>
trs: None
treeview: <DragTreeView object at 0x94439b4 (GtkTreeView at 0xb7952d8)>

How to reproduce
-----
1.Opening exail thanks to the gnome-applet-music
2.start playing a mp3 file
3.

Comment 1 alextazy0 2010-04-30 08:12:40 UTC
Package: exaile-0.3.1.1-1.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1.Opening exail thanks to the gnome-applet-music
2.start playing a mp3 file
3.

Comment 2 Fedora Update System 2010-06-29 16:34:17 UTC
exaile-0.3.2.0-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/exaile-0.3.2.0-1.fc12

Comment 3 Fedora Update System 2010-06-30 15:14:43 UTC
exaile-0.3.2.0-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update exaile'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/exaile-0.3.2.0-1.fc12

Comment 4 Bug Zapper 2010-11-03 15:58:49 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Bug Zapper 2010-12-03 15:16:11 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.